@wire
Feature: Support missbehave as a test-framework for stepdefs
  In order to decrease my learning curve
  As a developer
  I want to be able to use chickumber with the missbehave-egg to specify my steps


Background:
  Given a standard Cucumber project directory structure
  And a file named "features/wired.feature" with:
  """
  Feature: High strung
    Scenario: Wired
      Given we're all wired
  """
  And a file named "features/step_definitions/some_remote_place.wire" with:
  """
  host: localhost
  port: 54322
  """

@bug-3
Scenario: Pending steps
  Given a file named "features/step_definitions/pending.scm" with:
  """
  (Given #/we're all wired/ ()
    (pending))
  """
  And there is a wire server running on port 54322 with testframework "missbehave" and stepfiles "features/step_definitions/pending.scm"
  When I run cucumber -f pretty -q
  Then it should pass with
      """
      Feature: High strung

        Scenario: Wired
          Given we're all wired
            TODO (Cucumber::Pending)
            features/wired.feature:3:in `Given we're all wired'

      1 scenario (1 pending)
      1 step (1 pending)

      """


Scenario: Passing steps

Scenario: Failing steps

Scenario: Undefined steps
